Perl Configuration Trouble

software development

#1

Hi, I am in the process of attempting to upgrade the linux version on our Dreamhost VPS to lenny. I am halfway through the upgrade, but some packages are broken that are assocaited with perl as far as I can tell.

I run the following command:

sudo apt-get install --fix-broken

and get the following output:

[quote]sudo apt-get install --fix-broken
Reading package lists… Done
Building dependency tree
Reading state information… Done
Correcting dependencies… Done
The following extra packages will be installed:
libcgi-fast-perl libemail-address-perl libpam0g
Suggested packages:
libpam-doc
The following NEW packages will be installed:
libcgi-fast-perl libemail-address-perl
The following packages will be upgraded:
libpam0g
1 upgraded, 2 newly installed, 0 to remove and 875 not upgraded.
103 not fully installed or removed.
Need to get 0B/178kB of archives.
After this operation, 270kB of additional disk space will be used.
Do you want to continue [Y/n]? y
WARNING: The following packages cannot be authenticated!
libpam0g libcgi-fast-perl libemail-address-perl
Authentication warning overridden.
Preconfiguring packages …
Can’t exec “/tmp/libpam0g.config.68631”: Permission denied at /usr/share/perl/5.10/IPC/Open3.pm line 168.
open2: exec of /tmp/libpam0g.config.68631 configure 0.79-5+etch1 failed at /usr/share/perl5/Debconf/ConfModule.pm line 58
libpam0g failed to preconfigure, with exit status 255
Setting up coreutils (6.10-6) …
Can’t locate re.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.10.0 /usr/local/share/perl/5.10.0 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .) at /usr/share/perl/5.10/Text/Wrap.pm line 44.
BEGIN failed–compilation aborted at /usr/share/perl/5.10/Text/Wrap.pm line 44.
Compilation failed in require at /usr/sbin/install-info line 7.
BEGIN failed–compilation aborted at /usr/sbin/install-info line 7.
dpkg: error processing coreutils (–configure):
subprocess post-installation script returned error exit status 2
Errors were encountered while processing:
coreutils
Can’t locate Cwd.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.10.0 /usr/local/share/perl/5.10.0 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .) at /usr/share/perl/5.10/File/Find.pm line 8.
Compilation failed in require at /usr/bin/debsums line 10.
BEGIN failed–compilation aborted at /usr/bin/debsums line 10.
E: Problem executing scripts DPkg::Post-Invoke 'if [ -x /usr/bin/debsums ]; then /usr/bin/debsums --generate=nocheck -sp /var/cache/apt/archives; fi’
E: Sub-process returned an error code
E: Sub-process /usr/bin/dpkg returned an error code (1)
[/quote]

Any ideas?? I’d be very appreciative if anyone can help with this.

eThan[hr]
In the end I contacted support. The problem was originally caused by my attempt to upgrade the dreamhost vps from debian etch to lenny. Support has toosl to handle this upgrade properly.